/*
	Copyright (C) 2007 Belhorma Bendebiche
	
	This file is part of FreeDL.

	FreeDL is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	FreeDL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with FreeDL.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _DOWNLOAD_H_
#define _DOWNLOAD_H_

#include "socket.h"

class Download
{
	Socket sock;
	
	string remotePath;
	string localPath;
	
	string remoteFilename;
	string localFilename;
	
	string hostName;
	
	int fileSize;
	
	void BeginDownload();
	void ResumeDownload(int offset);
public:
	void SetURL(string url, short port=80);
	void SetLocalFile(string path);
	void Exec();
	Download();
	~Download();
};

#endif

